Trouble loading add on extprec

Tecplot's Add-on Developer's Kit

Moderators: davetaflin, salter, steve, jprenaud, straton, Chris Idso

jrgibson83
Newbie
Posts: 1
Joined: Wed Jan 05, 2011 1:44 pm
Location: Provo, UT

Trouble loading add on extprec

Postby jrgibson83 » Wed Jan 05, 2011 2:25 pm

I am trying to load the extract precise polyline onto a 64 bit Ubuntu system. I unpacked extprec.tar in the lib directory and modified the .add file. I keep getting the following error:

Cannot load add-on library libextprec.so (errno=2) libstdc++.s0.5: cannot open shared object file: No such file or directory


I am running Tecplot 360/2009.

I would appreciate any help.

Chris Idso
Jedi Master
Posts: 249
Joined: Mon Jan 15, 2007 10:07 am
Location: Bellevue, WA
Contact:

Re: Trouble loading add on extprec

Postby Chris Idso » Thu Jan 06, 2011 2:40 pm

Hello,

It sounds like the version of extprec you chose to use is not compatible with your operating system. Would you pleaes tell us which operating system is running on your computer and which of the linux builds of extprec you are using?

Also, could you please tell us if your linux box is a 32 bit or 64 bit machine?
Chris


Christopher Idso

Tech Support Lead
Tecplot, Inc

Jon Everitt
Newbie
Posts: 3
Joined: Wed Aug 19, 2009 11:24 am
Location: USA
Contact:

Re: Trouble loading add on extprec

Postby Jon Everitt » Thu Apr 26, 2012 1:10 pm

I am having the same trouble running Tecplot 360 2012 on a Redhat 5 Linux 64 bit system. Is there a fix? This add-on would be very useful. Otherwise, is there a good workaround?

Thanks

Jon

User avatar
aritzmann
Jedi Master
Posts: 127
Joined: Mon Nov 20, 2006 2:26 pm
Location: Princeton, NJ
Contact:

Re: Trouble loading add on extprec

Postby aritzmann » Fri Apr 27, 2012 7:48 am

Hi,

The first thing to check is that you have the correct version of the add-on for your version of Tecplot. Assuming that you have downloaded the tar file containing the addon libraries (http://tecplottalk.com/addons/ExtPrec/r2/extprec.tar), then there are many versions of the addon. To figure out which version you should copy, look at the install.log file in your tecplot home directory. This should contain a line
Installing : linuxg248x64.26

which will tell you the version of Tecplot which you installed (there are several lines like this, but only one will have the weird form specifying the specific linux version you installed). Choose the corresponding version of the addon and copy it to lib directory of your tecplot installation. Add the proper entry to your tecplot.add file and you should be good to go.

I hope this helps you,

Andrew
Andrew Ritzmann


Return to “Add-on Developer's Kit (ADK)”

Who is online

Users browsing this forum: No registered users and 6 guests